using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;

public class RoundManager : MonoBehaviour 
{


    // Use current Round value.
    static int currentRound = 0;

    // Use max Round value.
    static int maxRound = 1;


	// Use Round next
	public static void NextRound()
	{

		// count up Round.
        Debug.Log("Round(before) : " + currentRound);
        currentRound++;
        Debug.Log("Round(after) : " + currentRound);

		// Switch Round process.
        if (currentRound >= maxRound)
        {
            currentRound = 0;
            PhotonServer.DisconnectInRoomAllClient();
            //PhotonServer.ServerConnectFlag(false);
            Debug.Log("DisconnectAllClient");
            //SceneManager.LoadScene(nextSceneName);
        }
        else
        {
            if (PhotonServer.ConfirmServerActive())
            {
                Debug.Log("msg nextround");
                SceneManager.LoadScene("Game");
            }
        }

	}

    // Use Oter Object know current Round.
    public static int CurrentRound()
    {

        return currentRound;

    }

    // Use Max Round value.
    public static void SetMaxRound(int value)
    {

        maxRound = value;
        Debug.Log("room : " + PhotonServer.InRoomPlayerCount());
        Debug.Log("maxRound : " + maxRound);

    }


}
